@import url(../css/reset.css);

body {
  font-family: "Ubuntu", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
}

.wrapper {
  width: 100vw;
  height: 100vh;
  background-image: url(../images/bg.webp);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}

.header {
  min-height: 58px;
  background: rgba(0, 0, 0, 0.4);
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
  display: flex;
  justify-content: center;
  color: #ffffff;
}

a {
  color: currentColor;
}

.container {
  max-width: 1269px;
  display: flex;
  flex: 1 1 auto;
  justify-content: space-between;
  align-items: center;
}

.header__logo-link {
  font-weight: 700;
  font-size: 22px;
  line-height: 22px;
  color: currentColor;
  transition: all 0.4s;
}

.header__logo-link:hover {
  opacity: 0.41;
  color: #3cb878;
}

.header__item {
  display: flex;
  align-items: center;
  gap: 25px;
}

.header__item-link path {
  fill: currentColor;
  transition: all 0.4s;
}

.header__item-link:hover path {
  opacity: 0.41;
  fill: #3cb878;
}

.border {
  height: 19px;
  border: 1px solid rgba(255, 255, 255, 0.9);
  opacity: 0.5;
}

.header__item-text-link {
  color: currentColor;
  transition: all 0.4s;
}

.header__item-text-link:hover {
  color: #3cb878;
  opacity: 0.41;
}

/*-----------------main--------------*/

.main {
  display: flex;
  justify-content: center;
  align-items: center;
}

.content {
  position: relative;
}

.block {
  position: absolute;
  width: 18px;
  height: 18px;
  left: 0;
  top: 30px;
  background-color: #3cb878;
}

.main-form {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 444px;
  height: 584px;
  background-color: #ffffff;
  box-shadow: 0 4px 18px rgba(0, 0, 0, 0.52);
}

.content-main {
  width: 325px;
  margin: 0 auto;
}

.logout {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 30px;
}

.logout-sign {
  font-size: 20px;
  line-height: 20px;
  color: #434343;
}

.logout-log {
  color: #3cb878;
  transition: all 0.4s;
}
.logout-log:hover {
  color: #01813f;
  text-decoration: underline;
}

.content__social {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 13px;
}

.divider {
  height: 28px;
  border: 1px solid #0a162f;
  opacity: 0.1;
}

.content__social-facebook {
  display: flex;
  align-items: center;
  background-color: #305db8;
  border-radius: 5px;
  min-width: 160px;
  transition: all 0.4s;
}
.content__social-facebook-text {
  font-family: "Ubuntu", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  color: #ffffff;
  padding: 16px 18px 16px 20px;
}
.content__social-facebook-img {
  padding-left: 10px;
  padding-right: 13px;
}
.content__social-facebook:hover {
  background-color: #022263;
}

.content__social-google {
  display: flex;
  align-items: center;
  background-color: #df4a32;
  border-radius: 5px;
  transition: all 0.4s;
}
.content__social-google-text {
  font-family: "Ubuntu", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  color: #ffffff;
  padding: 16px 30px 16px 26px;
}
.content__social-google-img {
  padding-left: 10px;
  padding-right: 7px;
}
.content__social-google:hover {
  background-color: #ab1f09;
}

.content__text {
  margin-top: 30px;
  text-align: center;
  color: #848484;
  position: relative;
}

.content__text::before {
  content: "";
  position: absolute;
  width: 152px;
  left: 0;
  top: 7px;
  border: 1px solid #f2f2f2;
}

.content__text::after {
  content: "";
  position: absolute;
  width: 152px;
  right: 0;
  top: 7px;
  border: 1px solid #f2f2f2;
}

.content__input {
  margin-top: 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 14px;
}

input[type="text"],
[type="email"],
[type="password"] {
  width: 283px;
  padding: 14px 20px;
  border: 1px solid #f2f2f2;
  border-radius: 4px;
  font-family: "Ubuntu", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: #434343;
}

input:focus {
  outline: none;
  border: none;
  background: #ffffff;
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
  border-radius: 4px;
}

input::placeholder {
  font-family: "Ubuntu", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: #bebebe;
}

.checkbox-wrapper {
  margin-top: 12px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 8px;
  color: #3cb878;
}

input[type="checkbox"] {
  display: none;
}

.checkbox {
  width: 20px;
  height: 20px;
  border: 1px solid #f2f2f2;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.svg-check {
  display: none;
}

.svg-check path {
  stroke: currentColor;
}

.checkbox-wrapper:hover .underline {
  color: #01813f;
  text-decoration: underline;
}

.color-black {
  color: #434343;
}

.checkbox-hidden:checked ~ .checkbox .svg-check {
  display: block;
}

/*----------button---------*/

.form-btn {
  margin-top: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.button {
  display: block;
  border: none;
  background-color: #3cb878;
  font-size: 16px;
  line-height: 16px;
  border-radius: 4px;
  padding: 16px 107px;
  color: #ffffff;
  cursor: pointer;
  transition: 0.5s;
}

.button:hover {
  background-color: #01813f;
}
